> # NAME

> cgIsContext - determine if a context handle references a valid context

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGbool cgIsContext( CGcontext context );

> # PARAMETERS

> context

>   The context handle to check.

> # RETURN VALUES

> Returns CG_TRUE if context references a valid context.

> Returns CG_FALSE otherwise.

> # DESCRIPTION

> cgIsContext returns CG_TRUE if context references a valid context, CG_FALSE otherwise.

> # EXAMPLES

>       CGcontext context = NULL;
>       cgIsContext(context);          /* returns CG_FALSE */

>       context = cgCreateContext();
>       cgIsContext(context);          /* returns CG_TRUE, assuming create succeeded */

>       cgDestroyContext(context);
>       cgIsContext(context);          /* returns CG_FALSE */

> # ERRORS

> None.

> # HISTORY

> cgIsContext was introduced in Cg 1.1.

> # SEE ALSO

> cgCreateContext, cgDestroyContext